Recent Posts

Pages: 1 [2] 3 4 ... 10
11
AutoLISP (Vanilla / Visual) / Re: Lisp
« Last post by MSTG007 on December 14, 2017, 02:15:28 pm »
lol... great question. I was trying to figure that one out too. thanks for sharing.
12
AutoLISP (Vanilla / Visual) / Re: Lisp
« Last post by PKENEWELL on December 14, 2017, 01:46:39 pm »
Perhaps This?

Code: [Select]
(defun c:ISOPT-OFF ()
  (command "_-inputsearchoptions" "_C" "_n" "_R" "_n" "_S" "_n" "_T" "_n" "_M" "_n" "")
  (princ)
)

(defun c:ISOPT-ON ()
  (command "_-inputsearchoptions" "_C" "_y" "_R" "_y" "_S" "_y" "_T" "_y" "_M" "_y" "")
  (princ)
)
13
AutoLISP (Vanilla / Visual) / Lisp
« Last post by FriendFromArea51 on December 14, 2017, 01:01:53 pm »
Anyone have a lisp already that will turn off all the input search options / autocomplete stuff in the command line that they'd be willing to share?
14
AutoLISP (Vanilla / Visual) / Re: VL vs. ENTITY functions
« Last post by ronjonp on December 14, 2017, 12:51:12 pm »
Also you can't run vl stuff on AutoCAD for mac.
15
AutoLISP (Vanilla / Visual) / Re: Calling ACET-UI-Status to close
« Last post by MSTG007 on December 14, 2017, 12:08:39 pm »
ah.... yes. Thank you. But it does work.
16
AutoLISP (Vanilla / Visual) / Re: Calling ACET-UI-Status to close
« Last post by PKENEWELL on December 14, 2017, 12:07:19 pm »
Instead of "(command "erase" (ssget "x" '((0 . "point"))) "")", it would be better to use "last" in the command to remove the last entity. What if the user has other points in the drawing that they want to retain?
17
AutoLISP (Vanilla / Visual) / Re: Calling ACET-UI-Status to close
« Last post by MSTG007 on December 14, 2017, 11:57:42 am »
Thought I would share my work around...


Code: [Select]
(defun c:SAMPLE()

(acet-ui-status "Move Floating information Popup to the right of your screen.\nOnce Moved Click Once in Modelspace." "Move this Box Right.")

(command "_.point")
(while (= 1 (logand 1 (getvar 'CMDACTIVE))) (command pause))

(acet-ui-status "Attach XREFs 1 & 2" "Title")

(command "erase" (ssget "x" '((0 . "point"))) "")

(command "-layer" "make" "-XREF" "")

(command "_xattach")

(acet-ui-status)

(princ)

); defun

(C:SAMPLE)
18
AutoLISP (Vanilla / Visual) / Re: Calling ACET-UI-Status to close
« Last post by PKENEWELL on December 14, 2017, 11:57:04 am »
I am not aware of any method to move the starting position of the Status box. It will remember it's last position however in the same session as far as I can tell.

Personally I would just note to users that they can move this status box anyplace that's convenient for them.
19
AutoLISP (Vanilla / Visual) / Re: VL vs. ENTITY functions
« Last post by dgorsman on December 14, 2017, 10:29:29 am »
The VLISP stuff is a little more succinct, but requires some knowledge of the COM/ActiveX objects involved as well as the object oriented object/method/property way of doing things.  In some cases there isn't any other way e.g. using the MSXML DOM.

However the more traditional entity lists are list-based, which is much easier to work with directly in LISP.
20
AutoLISP (Vanilla / Visual) / Re: VL vs. ENTITY functions
« Last post by Dommy2Hotty on December 14, 2017, 10:16:39 am »
I think these are an excellent questions.  I am at the same point you are.  Started the same way and progressed the same.  I've been delving into VLA/VLAX lately with the want of slicker programming.

I'll be watching this thread closely.

:cheers:
^-no more beers?
Pages: 1 [2] 3 4 ... 10